import { jsx } from "react/jsx-runtime";
import { TokenPUMLX as TokenPUMLX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPUMLX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "PUMLX", "data-name": "TokenPUMLX", ...props, children: /* @__PURE__ */ jsx(TokenPUMLX$1, { variant }) });
  }
);
TokenPUMLX.displayName = "TokenPUMLX";
Object.assign(TokenPUMLX, { isGdsIcon: true });
export {
  TokenPUMLX
};
